polybori::groebner::HasTRepOrExtendedProductCriterion Class Reference

This class defines HasTRepOrExtendedProductCriterion. More...

`#include <HasTRepOrExtendedProductCriterion.h>`

## Public Member Functions

| HasTRepOrExtendedProductCriterion (GroebnerStrategy &strat, int j)
bool | operator() (const Monomial &m)
bool | operator() (const Exponent &m)

## Public Attributes

GroebnerStrategy * | strat
int | j

## Detailed Description

This class defines HasTRepOrExtendedProductCriterion.

## Constructor & Destructor Documentation

polybori::groebner::HasTRepOrExtendedProductCriterion::HasTRepOrExtendedProductCriterion | ( | GroebnerStrategy & | strat,
|  | int | j
| ) |  |

inline

## Member Function Documentation

bool polybori::groebner::HasTRepOrExtendedProductCriterion::operator() | ( | const Monomial & | m | ) |

inline

References polybori::groebner::extended_product_criterion(), polybori::groebner::GroebnerStrategy::extendedProductCriterions, polybori::groebner::GroebnerStrategy::generators, polybori::groebner::PairStatusSet::hasTRep(), polybori::groebner::PolyEntryVector::index(), polybori::groebner::PairManagerFacade< StrategyType >::pairs, polybori::groebner::PairStatusSet::setToHasTRep(), and polybori::groebner::PairManager::status.

bool polybori::groebner::HasTRepOrExtendedProductCriterion::operator() | ( | const Exponent & | m | ) |

inline

References polybori::groebner::extended_product_criterion(), polybori::groebner::GroebnerStrategy::extendedProductCriterions, polybori::groebner::GroebnerStrategy::generators, polybori::groebner::PairStatusSet::hasTRep(), polybori::groebner::PolyEntryVector::index(), polybori::groebner::PairManagerFacade< StrategyType >::pairs, polybori::groebner::PairStatusSet::setToHasTRep(), and polybori::groebner::PairManager::status.

## Member Data Documentation

int polybori::groebner::HasTRepOrExtendedProductCriterion::j

GroebnerStrategy* polybori::groebner::HasTRepOrExtendedProductCriterion::strat

The documentation for this class was generated from the following file:

- HasTRepOrExtendedProductCriterion.h